#pragma once
#include "wiiremotecntl.h"
#include <Process.h>

class WiiBase :
	public CWiiRemoteCntl
{
private:

	//--Xbh֌W---------
	static unsigned __stdcall OnReceive(void*);
	HANDLE	hThread;
	bool isStartThread;
	//-----------------------

	void InitializeExtension();
	BYTE *ReadData(int address, int size);
	void ReadWiimoteCalibration();
	void CloseThread();

public:
	WiiBase(void);
	virtual ~WiiBase(void);

	bool Initialize(void);
	
	bool RequestCalib(BYTE* input);

	bool RequestCalibExt(BYTE* input);

	bool RequestData(BYTE* input);

	bool RequestState(BYTE* input);

	bool SetLED_Vibration(BYTE setCommand);

	bool WiiBase::Finalize(void); 

	bool WiiRemoteThread();

	BYTE* GetCalibrationData();

};
